Index: /palm/trunk/SOURCE/ocean_mod.f90
===================================================================
--- /palm/trunk/SOURCE/ocean_mod.f90	(revision 4328)
+++ /palm/trunk/SOURCE/ocean_mod.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4272 2019-10-23 15:18:57Z schwenkel
 ! Further modularization of boundary conditions: moved boundary conditions to
 ! respective modules
@@ -86,5 +89,5 @@
 
     USE indices,                                                               &
-        ONLY:  advc_flags_s, nxl, nxr, nyn, nys, nzb, nzt, wall_flags_0
+        ONLY:  advc_flags_s, nxl, nxr, nyn, nys, nzb, nzt, wall_flags_static_0
 
     USE surface_mod,                                                           &
@@ -968,5 +971,5 @@
     USE indices,                                                               &
         ONLY: nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzt,            &
-              wall_flags_0
+              wall_flags_static_0
 
     IMPLICIT NONE
@@ -1037,5 +1040,5 @@
                 local_pf(i,j,k) = MERGE( to_be_resorted(k,j,i),                &
                                          REAL( fill_value, KIND = wp ),        &
-                                         BTEST( wall_flags_0(k,j,i), flag_nr ) )
+                                         BTEST( wall_flags_static_0(k,j,i), flag_nr ) )
              ENDDO
           ENDDO
@@ -1063,5 +1066,5 @@
     USE indices,                                                               &
         ONLY:  nxl, nxlg, nxr, nxrg, nyn, nyng, nys, nysg, nzb, nzt,           &
-               wall_flags_0
+               wall_flags_static_0
 
     IMPLICIT NONE
@@ -1129,5 +1132,5 @@
                 local_pf(i,j,k) = MERGE( to_be_resorted(k,j,i),                &
                                          REAL( fill_value, KIND = wp ),        &
-                                         BTEST( wall_flags_0(k,j,i), flag_nr ) )
+                                         BTEST( wall_flags_static_0(k,j,i), flag_nr ) )
              ENDDO
           ENDDO
@@ -1679,5 +1682,5 @@
                                           )                                    &
                                             * MERGE( 1.0_wp, 0.0_wp,           &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) &
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) &
                                                    )
                 IF ( sa_p(k,j,i) < 0.0_wp )  sa_p(k,j,i) = 0.1_wp * sa(k,j,i)
@@ -1826,5 +1829,5 @@
                                              * ( sa(k,j,i) - sa_init(k) )      &
                                     ) * MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_0(k,j,i), 0 ) )
+                                               BTEST( wall_flags_static_0(k,j,i), 0 ) )
 
           IF ( sa_p(k,j,i) < 0.0_wp )  sa_p(k,j,i) = 0.1_wp * sa(k,j,i)
Index: /palm/trunk/SOURCE/plant_canopy_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 4328)
+++ /palm/trunk/SOURCE/plant_canopy_model_mod.f90	(revision 4329)
@@ -27,4 +27,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4314 2019-11-29 10:29:20Z suehring
 ! - Bugfix, plant canopy was still considered at building edges on for the u- 
 !   and v-component.
@@ -121,5 +124,5 @@
     USE indices,                                                               &
         ONLY:  nbgp, nxl, nxlg, nxlu, nxr, nxrg, nyn, nyng, nys, nysg, nysv,   &
-               nz, nzb, nzt, topo_top_ind, wall_flags_0
+               nz, nzb, nzt, topo_top_ind, wall_flags_static_0
 
     USE kinds
@@ -1125,6 +1128,6 @@
 !--                   an informative message is given.
                       IF ( ANY( lad_s(:,j,i) /= 0.0_wp )  .AND.                &
-                           ANY( BTEST( wall_flags_0(:,j,i), 6 ) ) .AND.        &
-                           ANY( BTEST( wall_flags_0(:,j,i), 4 ) ) )  THEN
+                           ANY( BTEST( wall_flags_static_0(:,j,i), 6 ) ) .AND.        &
+                           ANY( BTEST( wall_flags_static_0(:,j,i), 4 ) ) )  THEN
                          lad_s(:,j,i) = 0.0_wp
                          WRITE( message_string, * )                            &
@@ -1958,8 +1961,8 @@
 !--          of the potential rooftop grid point, while building_edge_e is
 !--          is set from the perspective of the non-building grid point.
-             building_edge_w = ANY( BTEST( wall_flags_0(:,j,i),   6 ) )  .AND. &
-                         .NOT. ANY( BTEST( wall_flags_0(:,j,i-1), 6 ) )
-             building_edge_e = ANY( BTEST( wall_flags_0(:,j,i-1), 6 ) )  .AND. &
-                         .NOT. ANY( BTEST( wall_flags_0(:,j,i),   6 ) )
+             building_edge_w = ANY( BTEST( wall_flags_static_0(:,j,i),   6 ) )  .AND. &
+                         .NOT. ANY( BTEST( wall_flags_static_0(:,j,i-1), 6 ) )
+             building_edge_e = ANY( BTEST( wall_flags_static_0(:,j,i-1), 6 ) )  .AND. &
+                         .NOT. ANY( BTEST( wall_flags_static_0(:,j,i),   6 ) )
 !
 !--          Determine topography-top index on u-grid
@@ -2038,8 +2041,8 @@
 !--          of the potential rooftop grid point, while building_edge_n is
 !--          is set from the perspective of the non-building grid point.
-             building_edge_s = ANY( BTEST( wall_flags_0(:,j,i),   6 ) )  .AND. &
-                         .NOT. ANY( BTEST( wall_flags_0(:,j-1,i), 6 ) )
-             building_edge_n = ANY( BTEST( wall_flags_0(:,j-1,i), 6 ) )  .AND. &
-                         .NOT. ANY( BTEST( wall_flags_0(:,j,i),   6 ) )
+             building_edge_s = ANY( BTEST( wall_flags_static_0(:,j,i),   6 ) )  .AND. &
+                         .NOT. ANY( BTEST( wall_flags_static_0(:,j-1,i), 6 ) )
+             building_edge_n = ANY( BTEST( wall_flags_static_0(:,j-1,i), 6 ) )  .AND. &
+                         .NOT. ANY( BTEST( wall_flags_static_0(:,j,i),   6 ) )
 !
 !--          Determine topography-top index on v-grid
Index: /palm/trunk/SOURCE/pmc_interface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 4328)
+++ /palm/trunk/SOURCE/pmc_interface_mod.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4273 2019-10-24 13:40:54Z monakurppa
 ! Add a logical switch nesting_chem and rename nest_salsa to nesting_salsa
 ! 
@@ -205,5 +208,5 @@
     USE indices,                                                               &
         ONLY:  nbgp, nx, nxl, nxlg, nxlu, nxr, nxrg, ny, nyn, nyng, nys, nysg, &
-               nysv, nz, nzb, nzt, topo_top_ind, wall_flags_0
+               nysv, nz, nzb, nzt, topo_top_ind, wall_flags_static_0
 
     USE bulk_cloud_model_mod,                                                  &
@@ -1526,14 +1529,14 @@
        INTEGER(iwp) ::  istart    !<
        INTEGER(iwp) ::  ir        !<
-       INTEGER(iwp) ::  iw        !< Child-grid index limited to -1 <= iw <= nx+1 for wall_flags_0
+       INTEGER(iwp) ::  iw        !< Child-grid index limited to -1 <= iw <= nx+1 for wall_flags_static_0
        INTEGER(iwp) ::  j         !< Child-grid index in the y-direction
        INTEGER(iwp) ::  jj        !< Parent-grid index in the y-direction
        INTEGER(iwp) ::  jstart    !<
        INTEGER(iwp) ::  jr        !<
-       INTEGER(iwp) ::  jw        !< Child-grid index limited to -1 <= jw <= ny+1 for wall_flags_0
+       INTEGER(iwp) ::  jw        !< Child-grid index limited to -1 <= jw <= ny+1 for wall_flags_static_0
        INTEGER(iwp) ::  k         !< Child-grid index in the z-direction
        INTEGER(iwp) ::  kk        !< Parent-grid index in the z-direction
        INTEGER(iwp) ::  kstart    !<
-       INTEGER(iwp) ::  kw        !< Child-grid index limited to kw <= nzt+1 for wall_flags_0
+       INTEGER(iwp) ::  kw        !< Child-grid index limited to kw <= nzt+1 for wall_flags_static_0
 
        REAL(wp)     ::  tolex     !< Tolerance for grid-line matching in x-direction    
@@ -1776,5 +1779,5 @@
 !--    Note that ii, jj, and kk are parent-grid indices. 
 !--    This information is needed in the anterpolation. 
-!--    The indices for wall_flags_0 (kw,jw,iw) must be limited to the range 
+!--    The indices for wall_flags_static_0 (kw,jw,iw) must be limited to the range 
 !--    [-1,...,nx/ny/nzt+1] in order to avoid zero values on the outer ghost nodes.
        DO  ii = ipla, ipra
@@ -1790,5 +1793,5 @@
                          kw = MIN( k, nzt+1 )                
                          ijkfc_u(kk,jj,ii) = ijkfc_u(kk,jj,ii)                                      &
-                              + MERGE( 1, 0, BTEST( wall_flags_0(kw,jw,iw), 1 ) )
+                              + MERGE( 1, 0, BTEST( wall_flags_static_0(kw,jw,iw), 1 ) )
                       ENDDO
                    ENDDO
@@ -1803,5 +1806,5 @@
                          kw = MIN( k, nzt+1 )                                        
                          ijkfc_v(kk,jj,ii) = ijkfc_v(kk,jj,ii)                                      &
-                              + MERGE( 1, 0, BTEST( wall_flags_0(kw,jw,iw), 2 ) )
+                              + MERGE( 1, 0, BTEST( wall_flags_static_0(kw,jw,iw), 2 ) )
                       ENDDO
                    ENDDO
@@ -1816,5 +1819,5 @@
                          kw = MIN( k, nzt+1 )
                          ijkfc_s(kk,jj,ii) = ijkfc_s(kk,jj,ii)                                      &
-                              + MERGE( 1, 0, BTEST( wall_flags_0(kw,jw,iw), 0 ) )
+                              + MERGE( 1, 0, BTEST( wall_flags_static_0(kw,jw,iw), 0 ) )
                       ENDDO
                    ENDDO
@@ -1829,5 +1832,5 @@
                          kw = MIN( k, nzt+1 )
                          ijkfc_w(kk,jj,ii) = ijkfc_w(kk,jj,ii)                                      &
-                              + MERGE( 1, 0, BTEST( wall_flags_0(kw,jw,iw), 3 ) )
+                              + MERGE( 1, 0, BTEST( wall_flags_static_0(kw,jw,iw), 3 ) )
                       ENDDO
                    ENDDO
@@ -2750,10 +2753,10 @@
              DO  jc = nysg, nyng
                 DO  kc = nzb, nzt
-                   u(kc,jc,ic)   = MERGE( u(kc,jc,ic), 0.0_wp, BTEST( wall_flags_0(kc,jc,ic), 1 ) )
-                   v(kc,jc,ic)   = MERGE( v(kc,jc,ic), 0.0_wp, BTEST( wall_flags_0(kc,jc,ic), 2 ) )
-                   w(kc,jc,ic)   = MERGE( w(kc,jc,ic), 0.0_wp, BTEST( wall_flags_0(kc,jc,ic), 3 ) )
-                   u_p(kc,jc,ic) = MERGE( u_p(kc,jc,ic), 0.0_wp, BTEST( wall_flags_0(kc,jc,ic), 1 ) )
-                   v_p(kc,jc,ic) = MERGE( v_p(kc,jc,ic), 0.0_wp, BTEST( wall_flags_0(kc,jc,ic), 2 ) )
-                   w_p(kc,jc,ic) = MERGE( w_p(kc,jc,ic), 0.0_wp, BTEST( wall_flags_0(kc,jc,ic), 3 ) )
+                   u(kc,jc,ic)   = MERGE( u(kc,jc,ic), 0.0_wp, BTEST( wall_flags_static_0(kc,jc,ic), 1 ) )
+                   v(kc,jc,ic)   = MERGE( v(kc,jc,ic), 0.0_wp, BTEST( wall_flags_static_0(kc,jc,ic), 2 ) )
+                   w(kc,jc,ic)   = MERGE( w(kc,jc,ic), 0.0_wp, BTEST( wall_flags_static_0(kc,jc,ic), 3 ) )
+                   u_p(kc,jc,ic) = MERGE( u_p(kc,jc,ic), 0.0_wp, BTEST( wall_flags_static_0(kc,jc,ic), 1 ) )
+                   v_p(kc,jc,ic) = MERGE( v_p(kc,jc,ic), 0.0_wp, BTEST( wall_flags_static_0(kc,jc,ic), 2 ) )
+                   w_p(kc,jc,ic) = MERGE( w_p(kc,jc,ic), 0.0_wp, BTEST( wall_flags_static_0(kc,jc,ic), 3 ) )
                 ENDDO
              ENDDO
@@ -3268,7 +3271,7 @@
                 DO   j = nysg, nyng
                    DO  k = nzb, nzt+1
-                      u(k,j,i) = MERGE( u(k,j,i), 0.0_wp, BTEST( wall_flags_0(k,j,i), 1 ) )
-                      v(k,j,i) = MERGE( v(k,j,i), 0.0_wp, BTEST( wall_flags_0(k,j,i), 2 ) )
-                      w(k,j,i) = MERGE( w(k,j,i), 0.0_wp, BTEST( wall_flags_0(k,j,i), 3 ) )
+                      u(k,j,i) = MERGE( u(k,j,i), 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 1 ) )
+                      v(k,j,i) = MERGE( v(k,j,i), 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 2 ) )
+                      w(k,j,i) = MERGE( w(k,j,i), 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 3 ) )
 !
 !--                 TO_DO: zero setting of temperature within topography creates
@@ -4630,5 +4633,5 @@
                      DO  kc = kfl(kp), kfu(kp)
                         cellsum = cellsum + MERGE( child_array(kc,jc,ic), 0.0_wp,                   &
-                             BTEST( wall_flags_0(kc,jc,ic), var_flag ) )
+                             BTEST( wall_flags_static_0(kc,jc,ic), var_flag ) )
                      ENDDO
                   ENDDO
@@ -4921,5 +4924,5 @@
           DO   k = nzb+1, nzt
              sub_sum = sub_sum + innor * u(k,j,i) * dzw(k)                                          &
-                               * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 1 ) )
+                               * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 1 ) )
           ENDDO
           volume_flux_local = volume_flux_local + sub_sum
@@ -4944,5 +4947,5 @@
           DO   k = nzb+1, nzt
              sub_sum = sub_sum + innor * u(k,j,i) * dzw(k)                                          &
-                               * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 1 ) )
+                               * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 1 ) )
           ENDDO
           volume_flux_local = volume_flux_local + sub_sum
@@ -4967,5 +4970,5 @@
           DO   k = nzb+1, nzt
              sub_sum = sub_sum + innor * v(k,j,i) * dzw(k)                                          &
-                               * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 2 ) )
+                               * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 2 ) )
           ENDDO
           volume_flux_local = volume_flux_local + sub_sum
@@ -4990,5 +4993,5 @@
           DO  k = nzb+1, nzt
              sub_sum = sub_sum + innor * v(k,j,i) * dzw(k)                                          &
-                               * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 2 ) )
+                               * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 2 ) )
           ENDDO
           volume_flux_local = volume_flux_local + sub_sum
@@ -5060,5 +5063,5 @@
              DO  k = nzb + 1, nzt
                 u(k,j,i) = u(k,j,i) + u_corr_left                              &
-                     * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 1 ) )
+                     * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 1 ) )
              ENDDO
           ENDDO
@@ -5072,5 +5075,5 @@
              DO  k = nzb + 1, nzt
                 u(k,j,i) = u(k,j,i) + u_corr_right                              &
-                      * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 1 ) )
+                      * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 1 ) )
              ENDDO
           ENDDO
@@ -5084,5 +5087,5 @@
              DO  k = nzb + 1, nzt
                 v(k,j,i) = v(k,j,i) + v_corr_south                              &
-                      * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 2 ) )
+                      * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 2 ) )
              ENDDO
           ENDDO
@@ -5096,5 +5099,5 @@
              DO  k = nzb + 1, nzt
                 v(k,j,i) = v(k,j,i) + v_corr_north                              &
-                      * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 2 ) )
+                      * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 2 ) )
              ENDDO
           ENDDO
Index: /palm/trunk/SOURCE/poismg_noopt_mod.f90
===================================================================
--- /palm/trunk/SOURCE/poismg_noopt_mod.f90	(revision 4328)
+++ /palm/trunk/SOURCE/poismg_noopt_mod.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
 ! 
@@ -1652,5 +1655,5 @@
        USE indices,                                                            &
            ONLY:  flags, nxl_mg, nxr_mg, nyn_mg, nys_mg, nzb, nzt_mg,          &
-                  wall_flags_0, wall_flags_1,                                  &
+                  wall_flags_static_0, wall_flags_1,                                  &
                   wall_flags_10, wall_flags_2, wall_flags_3,  wall_flags_4,    &
                   wall_flags_5, wall_flags_6, wall_flags_7, wall_flags_8,      &
@@ -1736,5 +1739,5 @@
                 DO  j = nys_l, nyn_l
                    DO  k = nzb, nzt_l
-                      topo_tmp(k,j,i) = wall_flags_0(k*inc,j*inc,i*inc)
+                      topo_tmp(k,j,i) = wall_flags_static_0(k*inc,j*inc,i*inc)
                    ENDDO
                 ENDDO
Index: /palm/trunk/SOURCE/pres.f90
===================================================================
--- /palm/trunk/SOURCE/pres.f90	(revision 4328)
+++ /palm/trunk/SOURCE/pres.f90	(revision 4329)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! Renamed wall_flags_0 to wall_flags_static_0
+! 
+! 4182 2019-08-22 15:20:23Z scharf
 ! Corrected "Former revisions" section
 ! 
@@ -69,5 +72,5 @@
         ONLY:  nbgp, ngp_2dh_outer, nx, nxl, nxlg, nxl_mg, nxr, nxrg, nxr_mg,  &
                ny, nys, nysg, nys_mg, nyn, nyng, nyn_mg, nzb, nzt, nzt_mg,     &
-               wall_flags_0
+               wall_flags_static_0
 
     USE kinds
@@ -187,5 +190,5 @@
              volume_flow_l(1) = volume_flow_l(1) + u(k,j,i) * dzw(k)           &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 1 )  &
+                                              BTEST( wall_flags_static_0(k,j,i), 1 )  &
                                             )
           ENDDO
@@ -206,5 +209,5 @@
              u(k,j,i) = u(k,j,i) + volume_flow_offset(1)                       &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 1 )  &
+                                              BTEST( wall_flags_static_0(k,j,i), 1 )  &
                                             )
           ENDDO
@@ -232,5 +235,5 @@
              volume_flow_l(2) = volume_flow_l(2) + v(k,j,i) * dzw(k)           &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 2 )  &
+                                              BTEST( wall_flags_static_0(k,j,i), 2 )  &
                                             )
           ENDDO
@@ -251,5 +254,5 @@
              v(k,j,i) = v(k,j,i) + volume_flow_offset(2)                       &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 2 )  &
+                                              BTEST( wall_flags_static_0(k,j,i), 2 )  &
                                             )
           ENDDO
@@ -280,5 +283,5 @@
              DO  k = nzb+1, nzt
                 w_l_l(k) = w_l_l(k) + w(k,j,i)                                                     &
-                                     * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 3 ) )
+                                     * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 3 ) )
              ENDDO
           ENDDO
@@ -297,5 +300,5 @@
              DO  k = nzb+1, nzt
                 w(k,j,i) = w(k,j,i) - w_l(k)                                                       &
-                                     * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_0(k,j,i), 3 ) )
+                                     * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 3 ) )
              ENDDO
           ENDDO
@@ -344,5 +347,5 @@
                         ) * ddt_3d * d_weight_pres                             &
                                    * MERGE( 1.0_wp, 0.0_wp,                    &
-                                            BTEST( wall_flags_0(k,j,i), 0 )    &
+                                            BTEST( wall_flags_static_0(k,j,i), 0 )    &
                                           )
           ENDDO
@@ -352,5 +355,5 @@
              threadsum = threadsum + ABS( d(k,j,i) )                           &
                                    * MERGE( 1.0_wp, 0.0_wp,                    &
-                                            BTEST( wall_flags_0(k,j,i), 0 )    &
+                                            BTEST( wall_flags_static_0(k,j,i), 0 )    &
                                           )
           ENDDO
@@ -369,5 +372,5 @@
     !$OMP DO SCHEDULE( STATIC )
     !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i, j, k) &
-    !$ACC PRESENT(u, v, w, rho_air, rho_air_zw, ddzw, wall_flags_0) &
+    !$ACC PRESENT(u, v, w, rho_air, rho_air_zw, ddzw, wall_flags_static_0) &
     !$ACC PRESENT(d)
     DO  i = nxl, nxr
@@ -380,5 +383,5 @@
                         ) * ddt_3d * d_weight_pres                             &
                                    * MERGE( 1.0_wp, 0.0_wp,                    &
-                                            BTEST( wall_flags_0(k,j,i), 0 )    &
+                                            BTEST( wall_flags_static_0(k,j,i), 0 )    &
                                           )     
           ENDDO
@@ -630,5 +633,5 @@
     !$OMP DO
     !$ACC PARALLEL LOOP COLLAPSE(2) PRIVATE(i, j, k) &
-    !$ACC PRESENT(u, v, w, tend, ddzu, wall_flags_0)
+    !$ACC PRESENT(u, v, w, tend, ddzu, wall_flags_static_0)
     DO  i = nxl, nxr   
        DO  j = nys, nyn
@@ -639,5 +642,5 @@
                                      * weight_pres_l                           &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 3 )  &
+                                              BTEST( wall_flags_static_0(k,j,i), 3 )  &
                                             )
           ENDDO
@@ -648,5 +651,5 @@
                                      * weight_pres_l                           &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 1 )  &
+                                              BTEST( wall_flags_static_0(k,j,i), 1 )  &
                                             )
           ENDDO
@@ -657,5 +660,5 @@
                                      * weight_pres_l                           &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 2 )  &
+                                              BTEST( wall_flags_static_0(k,j,i), 2 )  &
                                             )
           ENDDO                                                         
@@ -688,5 +691,5 @@
              volume_flow_l(1) = volume_flow_l(1) + u(k,j,nxr) * dzw(k)         &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,nxr), 1 )&
+                                              BTEST( wall_flags_static_0(k,j,nxr), 1 )&
                                             )
           ENDDO
@@ -707,5 +710,5 @@
              volume_flow_l(2) = volume_flow_l(2) + v(k,nyn,i) * dzw(k)         &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,nyn,i), 2 )&
+                                              BTEST( wall_flags_static_0(k,nyn,i), 2 )&
                                             )
            ENDDO
@@ -738,5 +741,5 @@
                 u(k,j,i) = u(k,j,i) + volume_flow_offset(1)                    &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 1 )  &
+                                              BTEST( wall_flags_static_0(k,j,i), 1 )  &
                                             )
              ENDDO
@@ -744,5 +747,5 @@
                 v(k,j,i) = v(k,j,i) + volume_flow_offset(2)                    &
                                      * MERGE( 1.0_wp, 0.0_wp,                  &
-                                              BTEST( wall_flags_0(k,j,i), 2 )  &
+                                              BTEST( wall_flags_static_0(k,j,i), 2 )  &
                                             )
              ENDDO
@@ -788,5 +791,5 @@
                             w(k-1,j,i) * rho_air_zw(k-1) ) * ddzw(k)           &
                         ) * MERGE( 1.0_wp, 0.0_wp,                             &
-                                   BTEST( wall_flags_0(k,j,i), 0 )             &
+                                   BTEST( wall_flags_static_0(k,j,i), 0 )             &
                                  )
              ENDDO
@@ -799,5 +802,5 @@
        !$OMP DO SCHEDULE( STATIC )
        !$ACC PARALLEL LOOP COLLAPSE(3) PRIVATE(i, j, k) &
-       !$ACC PRESENT(u, v, w, rho_air, rho_air_zw, ddzw, wall_flags_0) &
+       !$ACC PRESENT(u, v, w, rho_air, rho_air_zw, ddzw, wall_flags_static_0) &
        !$ACC PRESENT(d)
        DO  i = nxl, nxr
@@ -809,5 +812,5 @@
                                w(k-1,j,i) * rho_air_zw(k-1) ) * ddzw(k)        &
                            ) * MERGE( 1.0_wp, 0.0_wp,                          &
-                                   BTEST( wall_flags_0(k,j,i), 0 )             &
+                                   BTEST( wall_flags_static_0(k,j,i), 0 )             &
                                     )
              ENDDO
